<?php
include "../koneksi.php";

$rawmat = $_POST['rawmat'];
$nomat = $_POST['nomat'];
$qty = $_POST['qty'];

if ($rawmat == '') {
    $data['error']['rawmat'] = 'Nama Raw Material tidak boleh kosong';
}
if ($nomat == '') {
    $data['error']['nomat'] = 'Nomor Raw Material Tidak Boleh Kosong';
}
if ($qty == '') {
    $data['error']['qty'] = 'Quantity Tidak Boleh Kosong';
}

if (empty($data['error'])) {
    
		$query = "insert INTO material SET
										RawMat = '$rawmat',
										NoMat = '$nomat',
										Qty = '$qty'
										";

		mysqli_query($koneksi, $query)
		or die ("Gagal Perintah SQL".mysql_error());
		
    $data['hasil'] = 'sukses';
    
} else {
    
    $data['hasil'] = 'gagal';
}

echo json_encode($data);

?>

